<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>

		<header>
			<h1>HTML Table and Forms</h1>
			
		<header>
		<main>
			<section>
				<h2>HTML Entities</h2>
				<p>
					<em>
						Reserved characters in HTML (e.g.&lt; or &gt; or characters that can mix up with HTML code).
					</em>
				</p>
				<!-- Defines a HTML tables -->
				<!-- "border" attribute is used to set a visible border width -->
				<table border="1">
					<thead>
						<!-- <tr> Defines a table row -->
						<tr>
							<!-- <th> Defines a table header element -->
							<th colspan="2">Entity</th>

							<th>Description</th>	
						</tr>	
					</thead>
					<!-- used ti group table body content -->
					<tbody>
						<tr>
							<!-- define a table data element -->
							<td>&lt;</td>
							<td>lt</td>
							
							<td>less than</td>
						</tr>
						<tr>
							
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark (apostrophe)</td>
						</tr>
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower tilde</td>
						</tr>
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>upper tilde</td>
						</tr>
					</tbody>
					<!-- Used to group table footer content -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>

					</tfoot>
				</table>
			</section>
			<section>
				<h2>HTML Forms</h2>
				<p>
					<em>
						Input elements make up a form.
					</em>
				</p>
				<!-- Create an HTML form to capture user input -->
				<!-- <form action=""> used to define where the information will be sent upon submission-->
				<form action="https://www.google.com"> 
					<label for="full_name">Full Name:</label><br>
						<input type="text" name="full_name" id="full_name" required autocomplete><br>

					<!-- Label and date input type -->
					<label for="birth_date">Birth Date:</label><br>
						<input type="date" name="birth_date" id="birth_date" required><br>
					<!-- Label and number input type -->
					<label for="age">Age :</label><br>
						<input type="number" min="1" max="100" name="age" id="age" required><br>

					<!-- Creat a dropdown menu -->
					<label for="gender">Gender :</label><br>
						<select name="gender" id="gender">
					<!-- Creating dropdown option -->
							<option value="male">Male</option>
							<option value="female">Female</option>
					</select><br>
					<!-- Creating a larger text input -->
					<label for="notes">Notes :</label><br>
						<textarea name="notes" id="notes" rows="5"></textarea><br>
					<!-- Create radio buttons input field -->
					<label>New User: </label>
						<input type="radio" name="new_user" id="user-type1" value="yes">
					<label for="user-type1">Yes</label>
						<input type="radio" name="new_user" id="user-type2" value="yes">
					<label for="user-type2">No</label><br><br>
					<!-- Creat checkbox for multiple choices -->

					<label>Roles :</label><br>
						<input type="checkbox" name="role1" id="role1" value="developer">
							<label for="developer">Developer</label><br>
						<input type="checkbox" name="role2" id="role2" value="student">
							<label for="student">Student</label><br>
						<input type="checkbox" name="role3" id="role3" value="manager">
							<label for="manager">Manager</label><br>




					<!-- Form button -->
					<br>
					<button type="submit">Submit</button>
					<button type="reset">Clear</button>
				</form>
			</section>
			
		</main>

		

		
	</body>
</html>